%define anolis_release 1

%global modname freezegun
%global sum Let your Python tests travel through time

Name:               python-freezegun
Version:            1.2.2
Release:            %{anolis_release}%{dist}
Summary:            %{sum}
License:            ASL 2.0
URL:                https://pypi.io/project/freezegun
Source0:            https://pypi.io/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

Patch1:             0001-Fix-decorate_class-for-Python-3.10-where-staticmethod-is.patch

BuildArch:          noarch

%description
freezegun is a library that allows your python tests to travel through time by
mocking the datetime module.

%package -n python3-freezegun
Summary:            %{sum}

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-six
BuildRequires:      python3-dateutil >= 2.7
BuildRequires:      python3-pytest

%{?python_provide:%python_provide python3-freezegun}

Requires:           python3-six
Requires:           python3-dateutil >= 2.7

%description -n python3-freezegun
freezegun is a library that allows your python tests to travel through time by
mocking the datetime module. This is the Python 3 library.

%package -n python3-freezegun-doc
Summary:        Documentation files for python3-freezegun
Requires:       python3-freezegun = %{EVR}
BuildArch:      noarch

%description -n python3-freezegun-doc
The python3-freezegun-doc package contains documentation files for python3-freezegun.

%prep
%autosetup -p1 -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
# Ignore two tests that are broken when run on systems in certain timezones.
# Reported upstream: https://github.com/spulec/freezegun/issues/348
pytest-3 --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_frozen_time \
         --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_hello

%files -n python3-freezegun
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%files -n python3-freezegun-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.2.2-1
- Init package from upstream
